# Snapshot report for `test/no-new-buffer.mjs`

The actual snapshot is saved in `no-new-buffer.mjs.snap`.

Generated by [AVA](https://avajs.dev).

## Invalid #1
      1 | const buffer = new Buffer([0x62, 0x75, 0x66, 0x66, 0x65, 0x72])

> Output

    `␊
      1 | const buffer = Buffer.from([0x62, 0x75, 0x66, 0x66, 0x65, 0x72])␊
    `

> Error 1/1

    `␊
    > 1 | const buffer = new Buffer([0x62, 0x75, 0x66, 0x66, 0x65, 0x72])␊
        |                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ \`new Buffer()\` is deprecated, use \`Buffer.from()\` instead.␊
    `

## Invalid #2
      1 | const buffer = new Buffer([0x62, bar])

> Output

    `␊
      1 | const buffer = Buffer.from([0x62, bar])␊
    `

> Error 1/1

    `␊
    > 1 | const buffer = new Buffer([0x62, bar])␊
        |                ^^^^^^^^^^^^^^^^^^^^^^^ \`new Buffer()\` is deprecated, use \`Buffer.from()\` instead.␊
    `

## Invalid #3
      1 | const array = [0x62];
      2 | const buffer = new Buffer(array);

> Output

    `␊
      1 | const array = [0x62];␊
      2 | const buffer = Buffer.from(array);␊
    `

> Error 1/1

    `␊
      1 | const array = [0x62];␊
    > 2 | const buffer = new Buffer(array);␊
        |                ^^^^^^^^^^^^^^^^^ \`new Buffer()\` is deprecated, use \`Buffer.from()\` instead.␊
    `

## Invalid #4
      1 | const arrayBuffer = new ArrayBuffer(10);
      2 | const buffer = new Buffer(arrayBuffer);

> Error 1/1

    `␊
      1 | const arrayBuffer = new ArrayBuffer(10);␊
    > 2 | const buffer = new Buffer(arrayBuffer);␊
        |                ^^^^^^^^^^^^^^^^^^^^^^^ \`new Buffer()\` is deprecated, use \`Buffer.alloc()\` or \`Buffer.from()\` instead.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: Switch to \`Buffer.from()\`.␊
      1 | const arrayBuffer = new ArrayBuffer(10);␊
      2 | const buffer = Buffer.from(arrayBuffer);␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: Switch to \`Buffer.alloc()\`.␊
      1 | const arrayBuffer = new ArrayBuffer(10);␊
      2 | const buffer = Buffer.alloc(arrayBuffer);␊
    `

## Invalid #5
      1 | const arrayBuffer = new ArrayBuffer(10);
      2 | const buffer = new Buffer(arrayBuffer, 0, );

> Output

    `␊
      1 | const arrayBuffer = new ArrayBuffer(10);␊
      2 | const buffer = Buffer.from(arrayBuffer, 0, );␊
    `

> Error 1/1

    `␊
      1 | const arrayBuffer = new ArrayBuffer(10);␊
    > 2 | const buffer = new Buffer(arrayBuffer, 0, );␊
        |                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^ \`new Buffer()\` is deprecated, use \`Buffer.from()\` instead.␊
    `

## Invalid #6
      1 | const arrayBuffer = new ArrayBuffer(10);
      2 | const buffer = new Buffer(arrayBuffer, 0, 2);

> Output

    `␊
      1 | const arrayBuffer = new ArrayBuffer(10);␊
      2 | const buffer = Buffer.from(arrayBuffer, 0, 2);␊
    `

> Error 1/1

    `␊
      1 | const arrayBuffer = new ArrayBuffer(10);␊
    > 2 | const buffer = new Buffer(arrayBuffer, 0, 2);␊
        |                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ \`new Buffer()\` is deprecated, use \`Buffer.from()\` instead.␊
    `

## Invalid #7
      1 | const buffer = new Buffer(10);

> Output

    `␊
      1 | const buffer = Buffer.alloc(10);␊
    `

> Error 1/1

    `␊
    > 1 | const buffer = new Buffer(10);␊
        |                ^^^^^^^^^^^^^^ \`new Buffer()\` is deprecated, use \`Buffer.alloc()\` instead.␊
    `

## Invalid #8
      1 | const size = 10;
      2 | const buffer = new Buffer(size);

> Output

    `␊
      1 | const size = 10;␊
      2 | const buffer = Buffer.alloc(size);␊
    `

> Error 1/1

    `␊
      1 | const size = 10;␊
    > 2 | const buffer = new Buffer(size);␊
        |                ^^^^^^^^^^^^^^^^ \`new Buffer()\` is deprecated, use \`Buffer.alloc()\` instead.␊
    `

## Invalid #9
      1 | new Buffer(foo.length)

> Output

    `␊
      1 | Buffer.alloc(foo.length)␊
    `

> Error 1/1

    `␊
    > 1 | new Buffer(foo.length)␊
        | ^^^^^^^^^^^^^^^^^^^^^^ \`new Buffer()\` is deprecated, use \`Buffer.alloc()\` instead.␊
    `

## Invalid #10
      1 | new Buffer(Math.min(foo, bar))

> Output

    `␊
      1 | Buffer.alloc(Math.min(foo, bar))␊
    `

> Error 1/1

    `␊
    > 1 | new Buffer(Math.min(foo, bar))␊
        | ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ \`new Buffer()\` is deprecated, use \`Buffer.alloc()\` instead.␊
    `

## Invalid #11
      1 | const buffer = new Buffer("string");

> Output

    `␊
      1 | const buffer = Buffer.from("string");␊
    `

> Error 1/1

    `␊
    > 1 | const buffer = new Buffer("string");␊
        |                ^^^^^^^^^^^^^^^^^^^^ \`new Buffer()\` is deprecated, use \`Buffer.from()\` instead.␊
    `

## Invalid #12
      1 | const buffer = new Buffer("7468697320697320612074c3a97374", "hex")

> Output

    `␊
      1 | const buffer = Buffer.from("7468697320697320612074c3a97374", "hex")␊
    `

> Error 1/1

    `␊
    > 1 | const buffer = new Buffer("7468697320697320612074c3a97374", "hex")␊
        |                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ \`new Buffer()\` is deprecated, use \`Buffer.from()\` instead.␊
    `

## Invalid #13
      1 | const string = "string";
      2 | const buffer = new Buffer(string);

> Output

    `␊
      1 | const string = "string";␊
      2 | const buffer = Buffer.from(string);␊
    `

> Error 1/1

    `␊
      1 | const string = "string";␊
    > 2 | const buffer = new Buffer(string);␊
        |                ^^^^^^^^^^^^^^^^^^ \`new Buffer()\` is deprecated, use \`Buffer.from()\` instead.␊
    `

## Invalid #14
      1 | const buffer = new Buffer(`${unknown}`)

> Output

    `␊
      1 | const buffer = Buffer.from(\`${unknown}\`)␊
    `

> Error 1/1

    `␊
    > 1 | const buffer = new Buffer(\`${unknown}\`)␊
        |                ^^^^^^^^^^^^^^^^^^^^^^^^ \`new Buffer()\` is deprecated, use \`Buffer.from()\` instead.␊
    `

## Invalid #15
      1 | const buffer = new (Buffer)(unknown)

> Error 1/1

    `␊
    > 1 | const buffer = new (Buffer)(unknown)␊
        |                ^^^^^^^^^^^^^^^^^^^^^ \`new Buffer()\` is deprecated, use \`Buffer.alloc()\` or \`Buffer.from()\` instead.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: Switch to \`Buffer.from()\`.␊
      1 | const buffer = (Buffer.from)(unknown)␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: Switch to \`Buffer.alloc()\`.␊
      1 | const buffer = (Buffer.alloc)(unknown)␊
    `

## Invalid #16
      1 | const buffer = new Buffer(unknown, 2)

> Output

    `␊
      1 | const buffer = Buffer.from(unknown, 2)␊
    `

> Error 1/1

    `␊
    > 1 | const buffer = new Buffer(unknown, 2)␊
        |                ^^^^^^^^^^^^^^^^^^^^^^ \`new Buffer()\` is deprecated, use \`Buffer.from()\` instead.␊
    `

## Invalid #17
      1 | const buffer = new Buffer(...unknown)

> Error 1/1

    `␊
    > 1 | const buffer = new Buffer(...unknown)␊
        |                ^^^^^^^^^^^^^^^^^^^^^^ \`new Buffer()\` is deprecated, use \`Buffer.alloc()\` or \`Buffer.from()\` instead.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: Switch to \`Buffer.from()\`.␊
      1 | const buffer = Buffer.from(...unknown)␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: Switch to \`Buffer.alloc()\`.␊
      1 | const buffer = Buffer.alloc(...unknown)␊
    `

## Invalid #18
      1 | () => {
      2 | 	return new // 1
      3 | 		Buffer();
      4 | }

> Output

    `␊
      1 | () => {␊
      2 | 	return ( // 1␊
      3 | 		Buffer.from());␊
      4 | }␊
    `

> Error 1/1

    `␊
      1 | () => {␊
    > 2 | 	return new // 1␊
        | 	       ^^^^^^^^␊
    > 3 | 		Buffer();␊
        | ^^^^^^^^^^^ \`new Buffer()\` is deprecated, use \`Buffer.from()\` instead.␊
      4 | }␊
    `

## Invalid #19
      1 | () => {
      2 | 	return (
      3 | 		new // 2
      4 | 			Buffer()
      5 | 	);
      6 | }

> Output

    `␊
      1 | () => {␊
      2 | 	return (␊
      3 | 		// 2␊
      4 | 			Buffer.from()␊
      5 | 	);␊
      6 | }␊
    `

> Error 1/1

    `␊
      1 | () => {␊
      2 | 	return (␊
    > 3 | 		new // 2␊
        | 		^^^^^^^^␊
    > 4 | 			Buffer()␊
        | ^^^^^^^^^^^^ \`new Buffer()\` is deprecated, use \`Buffer.from()\` instead.␊
      5 | 	);␊
      6 | }␊
    `

## Invalid #20
      1 | () => {
      2 | 	return new // 3
      3 | 		(Buffer);
      4 | }

> Output

    `␊
      1 | () => {␊
      2 | 	return ( // 3␊
      3 | 		(Buffer.from)());␊
      4 | }␊
    `

> Error 1/1

    `␊
      1 | () => {␊
    > 2 | 	return new // 3␊
        | 	       ^^^^^^^^␊
    > 3 | 		(Buffer);␊
        | ^^^^^^^^^^^ \`new Buffer()\` is deprecated, use \`Buffer.from()\` instead.␊
      4 | }␊
    `

## Invalid #21
      1 | () => {
      2 | 	return new // 4
      3 | 		Buffer;
      4 | }

> Output

    `␊
      1 | () => {␊
      2 | 	return ( // 4␊
      3 | 		Buffer.from());␊
      4 | }␊
    `

> Error 1/1

    `␊
      1 | () => {␊
    > 2 | 	return new // 4␊
        | 	       ^^^^^^^^␊
    > 3 | 		Buffer;␊
        | ^^^^^^^^^ \`new Buffer()\` is deprecated, use \`Buffer.from()\` instead.␊
      4 | }␊
    `

## Invalid #22
      1 | () => {
      2 | 	return (
      3 | 		new // 5
      4 | 			Buffer
      5 | 	);
      6 | }

> Output

    `␊
      1 | () => {␊
      2 | 	return (␊
      3 | 		// 5␊
      4 | 			Buffer.from()␊
      5 | 	);␊
      6 | }␊
    `

> Error 1/1

    `␊
      1 | () => {␊
      2 | 	return (␊
    > 3 | 		new // 5␊
        | 		^^^^^^^^␊
    > 4 | 			Buffer␊
        | ^^^^^^^^^^ \`new Buffer()\` is deprecated, use \`Buffer.from()\` instead.␊
      5 | 	);␊
      6 | }␊
    `

## Invalid #23
      1 | () => {
      2 | 	return (
      3 | 		new // 6
      4 | 			(Buffer)
      5 | 	);
      6 | }

> Output

    `␊
      1 | () => {␊
      2 | 	return (␊
      3 | 		// 6␊
      4 | 			(Buffer.from)()␊
      5 | 	);␊
      6 | }␊
    `

> Error 1/1

    `␊
      1 | () => {␊
      2 | 	return (␊
    > 3 | 		new // 6␊
        | 		^^^^^^^^␊
    > 4 | 			(Buffer)␊
        | ^^^^^^^^^^^^ \`new Buffer()\` is deprecated, use \`Buffer.from()\` instead.␊
      5 | 	);␊
      6 | }␊
    `

## Invalid #24
      1 | const buffer = new /* comment */ Buffer()

> Output

    `␊
      1 | const buffer = /* comment */ Buffer.from()␊
    `

> Error 1/1

    `␊
    > 1 | const buffer = new /* comment */ Buffer()␊
        |                ^^^^^^^^^^^^^^^^^^^^^^^^^^ \`new Buffer()\` is deprecated, use \`Buffer.from()\` instead.␊
    `

## Invalid #25
      1 | const buffer = new /* comment */ Buffer

> Output

    `␊
      1 | const buffer = /* comment */ Buffer.from()␊
    `

> Error 1/1

    `␊
    > 1 | const buffer = new /* comment */ Buffer␊
        |                ^^^^^^^^^^^^^^^^^^^^^^^^ \`new Buffer()\` is deprecated, use \`Buffer.from()\` instead.␊
    `
