# Snapshot report for `test/no-unreadable-array-destructuring.mjs`

The actual snapshot is saved in `no-unreadable-array-destructuring.mjs.snap`.

Generated by [AVA](https://avajs.dev).

## Invalid #1
      1 | const [,, foo] = parts;

> Output

    `␊
      1 | const foo = parts[2];␊
    `

> Error 1/1

    `␊
    > 1 | const [,, foo] = parts;␊
        |       ^^^^^^^^ Array destructuring may not contain consecutive ignored values.␊
    `

## Invalid #2
      1 | const [foo,,, bar] = parts;

> Error 1/1

    `␊
    > 1 | const [foo,,, bar] = parts;␊
        |       ^^^^^^^^^^^^ Array destructuring may not contain consecutive ignored values.␊
    `

## Invalid #3
      1 | const [foo,,,] = parts;

> Output

    `␊
      1 | const foo = parts[0];␊
    `

> Error 1/1

    `␊
    > 1 | const [foo,,,] = parts;␊
        |       ^^^^^^^^ Array destructuring may not contain consecutive ignored values.␊
    `

## Invalid #4
      1 | const [foo, bar,, baz ,,, qux] = parts;

> Error 1/1

    `␊
    > 1 | const [foo, bar,, baz ,,, qux] = parts;␊
        |       ^^^^^^^^^^^^^^^^^^^^^^^^ Array destructuring may not contain consecutive ignored values.␊
    `

## Invalid #5
      1 | [,, foo] = bar;

> Error 1/1

    `␊
    > 1 | [,, foo] = bar;␊
        | ^^^^^^^^ Array destructuring may not contain consecutive ignored values.␊
    `

## Invalid #6
      1 | ({parts: [,, foo]} = bar);

> Error 1/1

    `␊
    > 1 | ({parts: [,, foo]} = bar);␊
        |          ^^^^^^^^ Array destructuring may not contain consecutive ignored values.␊
    `

## Invalid #7
      1 | function foo([,, bar]) {}

> Error 1/1

    `␊
    > 1 | function foo([,, bar]) {}␊
        |              ^^^^^^^^ Array destructuring may not contain consecutive ignored values.␊
    `

## Invalid #8
      1 | function foo([bar,,, baz]) {}

> Error 1/1

    `␊
    > 1 | function foo([bar,,, baz]) {}␊
        |              ^^^^^^^^^^^^ Array destructuring may not contain consecutive ignored values.␊
    `

## Invalid #9
      1 | function foo([bar,,,]) {}

> Error 1/1

    `␊
    > 1 | function foo([bar,,,]) {}␊
        |              ^^^^^^^^ Array destructuring may not contain consecutive ignored values.␊
    `

## Invalid #10
      1 | function foo([bar, baz,, qux ,,, quux]) {}

> Error 1/1

    `␊
    > 1 | function foo([bar, baz,, qux ,,, quux]) {}␊
        |              ^^^^^^^^^^^^^^^^^^^^^^^^^ Array destructuring may not contain consecutive ignored values.␊
    `

## Invalid #11
      1 | const [,,...rest] = parts;

> Output

    `␊
      1 | const rest = parts.slice(2);␊
    `

> Error 1/1

    `␊
    > 1 | const [,,...rest] = parts;␊
        |       ^^^^^^^^^^^ Array destructuring may not contain consecutive ignored values.␊
    `

## Invalid #12
      1 | const [,,,] = parts;

> Error 1/1

    `␊
    > 1 | const [,,,] = parts;␊
        |       ^^^^^ Array destructuring may not contain consecutive ignored values.␊
    `

## Invalid #13
      1 | const [,,...rest] = new Array;

> Output

    `␊
      1 | const rest = (new Array).slice(2);␊
    `

> Error 1/1

    `␊
    > 1 | const [,,...rest] = new Array;␊
        |       ^^^^^^^^^^^ Array destructuring may not contain consecutive ignored values.␊
    `

## Invalid #14
      1 | const [,,...rest] = (0, foo);

> Output

    `␊
      1 | const rest = (0, foo).slice(2);␊
    `

> Error 1/1

    `␊
    > 1 | const [,,...rest] = (0, foo);␊
        |       ^^^^^^^^^^^ Array destructuring may not contain consecutive ignored values.␊
    `

## Invalid #15
      1 | let [,,thirdElement] = new Array;

> Output

    `␊
      1 | let thirdElement = (new Array)[2];␊
    `

> Error 1/1

    `␊
    > 1 | let [,,thirdElement] = new Array;␊
        |     ^^^^^^^^^^^^^^^^ Array destructuring may not contain consecutive ignored values.␊
    `

## Invalid #16
      1 | var [,,thirdElement] = (((0, foo)));

> Output

    `␊
      1 | var thirdElement = (((0, foo)))[2];␊
    `

> Error 1/1

    `␊
    > 1 | var [,,thirdElement] = (((0, foo)));␊
        |     ^^^^^^^^^^^^^^^^ Array destructuring may not contain consecutive ignored values.␊
    `

## Invalid #17
      1 | let [,,[,,thirdElementInThirdElement]] = foo

> Output

    `␊
      1 | let thirdElementInThirdElement = foo[2][2]␊
    `

> Error 1/2

    `␊
    > 1 | let [,,[,,thirdElementInThirdElement]] = foo␊
        |     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Array destructuring may not contain consecutive ignored values.␊
    `

> Error 2/2

    `␊
    > 1 | let [,,[,,thirdElementInThirdElement]] = foo␊
        |        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Array destructuring may not contain consecutive ignored values.␊
    `

## Invalid #18
      1 | let [,,{propertyOfThirdElement}] = foo

> Output

    `␊
      1 | let {propertyOfThirdElement} = foo[2]␊
    `

> Error 1/1

    `␊
    > 1 | let [,,{propertyOfThirdElement}] = foo␊
        |     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Array destructuring may not contain consecutive ignored values.␊
    `

## Invalid #19
      1 | let [,,thirdElement] = foo, anotherVariable = bar;

> Output

    `␊
      1 | let thirdElement = foo[2], anotherVariable = bar;␊
    `

> Error 1/1

    `␊
    > 1 | let [,,thirdElement] = foo, anotherVariable = bar;␊
        |     ^^^^^^^^^^^^^^^^ Array destructuring may not contain consecutive ignored values.␊
    `

## Invalid #20
      1 | let [,,thirdElement = {}] = foo;

> Error 1/1

    `␊
    > 1 | let [,,thirdElement = {}] = foo;␊
        |     ^^^^^^^^^^^^^^^^^^^^^ Array destructuring may not contain consecutive ignored values.␊
    `

## Invalid #21
      1 | for (const [, , id] of shuffle(list)) {}

> Error 1/1

    `␊
    > 1 | for (const [, , id] of shuffle(list)) {}␊
        |            ^^^^^^^^ Array destructuring may not contain consecutive ignored values.␊
    `

## Invalid #22
      1 | let[,,thirdElement] = foo;

> Output

    `␊
      1 | let thirdElement = foo[2];␊
    `

> Error 1/1

    `␊
    > 1 | let[,,thirdElement] = foo;␊
        |    ^^^^^^^^^^^^^^^^ Array destructuring may not contain consecutive ignored values.␊
    `

## Invalid #23
      1 | let[,,...thirdElement] = foo;

> Output

    `␊
      1 | let thirdElement = foo.slice(2);␊
    `

> Error 1/1

    `␊
    > 1 | let[,,...thirdElement] = foo;␊
        |    ^^^^^^^^^^^^^^^^^^^ Array destructuring may not contain consecutive ignored values.␊
    `

## Invalid #24
      1 | const[,,thirdElement] = foo;

> Output

    `␊
      1 | const thirdElement = foo[2];␊
    `

> Error 1/1

    `␊
    > 1 | const[,,thirdElement] = foo;␊
        |      ^^^^^^^^^^^^^^^^ Array destructuring may not contain consecutive ignored values.␊
    `

## Invalid #25
      1 | const[,,...thirdElement] = foo;

> Output

    `␊
      1 | const thirdElement = foo.slice(2);␊
    `

> Error 1/1

    `␊
    > 1 | const[,,...thirdElement] = foo;␊
        |      ^^^^^^^^^^^^^^^^^^^ Array destructuring may not contain consecutive ignored values.␊
    `

## Invalid #26
      1 | var[,,thirdElement] = foo;

> Output

    `␊
      1 | var thirdElement = foo[2];␊
    `

> Error 1/1

    `␊
    > 1 | var[,,thirdElement] = foo;␊
        |    ^^^^^^^^^^^^^^^^ Array destructuring may not contain consecutive ignored values.␊
    `

## Invalid #27
      1 | var[,,...thirdElement] = foo;

> Output

    `␊
      1 | var thirdElement = foo.slice(2);␊
    `

> Error 1/1

    `␊
    > 1 | var[,,...thirdElement] = foo;␊
        |    ^^^^^^^^^^^^^^^^^^^ Array destructuring may not contain consecutive ignored values.␊
    `

## Invalid #28
      1 | let[]=[],[,,thirdElement] = foo;

> Output

    `␊
      1 | let[]=[],thirdElement = foo[2];␊
    `

> Error 1/1

    `␊
    > 1 | let[]=[],[,,thirdElement] = foo;␊
        |          ^^^^^^^^^^^^^^^^ Array destructuring may not contain consecutive ignored values.␊
    `
