# Snapshot report for `test/prefer-json-parse-buffer.mjs`

The actual snapshot is saved in `prefer-json-parse-buffer.mjs.snap`.

Generated by [AVA](https://avajs.dev).

## Invalid #1
      1 | JSON.parse(await fs.readFile(file, "utf8"));

> Output

    `␊
      1 | JSON.parse(await fs.readFile(file));␊
    `

> Error 1/1

    `␊
    > 1 | JSON.parse(await fs.readFile(file, "utf8"));␊
        |                                    ^^^^^^ Prefer reading the JSON file as a buffer.␊
    `

## Invalid #2
      1 | JSON.parse(await fs.readFile(file, "utf8",));

> Output

    `␊
      1 | JSON.parse(await fs.readFile(file,));␊
    `

> Error 1/1

    `␊
    > 1 | JSON.parse(await fs.readFile(file, "utf8",));␊
        |                                    ^^^^^^ Prefer reading the JSON file as a buffer.␊
    `

## Invalid #3
      1 | JSON.parse(await fs.readFile(file, "UTF-8"));

> Output

    `␊
      1 | JSON.parse(await fs.readFile(file));␊
    `

> Error 1/1

    `␊
    > 1 | JSON.parse(await fs.readFile(file, "UTF-8"));␊
        |                                    ^^^^^^^ Prefer reading the JSON file as a buffer.␊
    `

## Invalid #4
      1 | JSON.parse(await fs.readFileSync(file, "utf8"));

> Output

    `␊
      1 | JSON.parse(await fs.readFileSync(file));␊
    `

> Error 1/1

    `␊
    > 1 | JSON.parse(await fs.readFileSync(file, "utf8"));␊
        |                                        ^^^^^^ Prefer reading the JSON file as a buffer.␊
    `

## Invalid #5
      1 | JSON.parse(fs.readFileSync(file, "utf8"));

> Output

    `␊
      1 | JSON.parse(fs.readFileSync(file));␊
    `

> Error 1/1

    `␊
    > 1 | JSON.parse(fs.readFileSync(file, "utf8"));␊
        |                                  ^^^^^^ Prefer reading the JSON file as a buffer.␊
    `

## Invalid #6
      1 | const CHARSET = "UTF8"; JSON.parse(await fs.readFile(file, CHARSET));

> Output

    `␊
      1 | const CHARSET = "UTF8"; JSON.parse(await fs.readFile(file));␊
    `

> Error 1/1

    `␊
    > 1 | const CHARSET = "UTF8"; JSON.parse(await fs.readFile(file, CHARSET));␊
        |                                                            ^^^^^^^ Prefer reading the JSON file as a buffer.␊
    `

## Invalid #7
      1 | const EIGHT = 8; JSON.parse(await fs.readFile(file, `utf${EIGHT}`));

> Output

    `␊
      1 | const EIGHT = 8; JSON.parse(await fs.readFile(file));␊
    `

> Error 1/1

    `␊
    > 1 | const EIGHT = 8; JSON.parse(await fs.readFile(file, \`utf${EIGHT}\`));␊
        |                                                     ^^^^^^^^^^^^^ Prefer reading the JSON file as a buffer.␊
    `

## Invalid #8
      1 | JSON.parse(await fs["readFile"](file, "utf8"));

> Output

    `␊
      1 | JSON.parse(await fs["readFile"](file));␊
    `

> Error 1/1

    `␊
    > 1 | JSON.parse(await fs["readFile"](file, "utf8"));␊
        |                                       ^^^^^^ Prefer reading the JSON file as a buffer.␊
    `

## Invalid #9
      1 | JSON.parse(await fs.readFile(file, {encoding: "utf8"}));

> Output

    `␊
      1 | JSON.parse(await fs.readFile(file));␊
    `

> Error 1/1

    `␊
    > 1 | JSON.parse(await fs.readFile(file, {encoding: "utf8"}));␊
        |                                    ^^^^^^^^^^^^^^^^^^ Prefer reading the JSON file as a buffer.␊
    `

## Invalid #10
      1 | const EIGHT = 8; JSON.parse(await fs.readFile(file, {encoding: `utf${EIGHT}`}));

> Output

    `␊
      1 | const EIGHT = 8; JSON.parse(await fs.readFile(file));␊
    `

> Error 1/1

    `␊
    > 1 | const EIGHT = 8; JSON.parse(await fs.readFile(file, {encoding: \`utf${EIGHT}\`}));␊
        |                                                     ^^^^^^^^^^^^^^^^^^^^^^^^^ Prefer reading the JSON file as a buffer.␊
    `

## Invalid #11
      1 | JSON.parse(await fs.readFile(file, {...({encoding: "utf8"})}));

> Output

    `␊
      1 | JSON.parse(await fs.readFile(file));␊
    `

> Error 1/1

    `␊
    > 1 | JSON.parse(await fs.readFile(file, {...({encoding: "utf8"})}));␊
        |                                    ^^^^^^^^^^^^^^^^^^^^^^^^^ Prefer reading the JSON file as a buffer.␊
    `

## Invalid #12
      1 | const encoding = "utf8";JSON.parse(await fs.readFile(file, {encoding}));

> Output

    `␊
      1 | const encoding = "utf8";JSON.parse(await fs.readFile(file));␊
    `

> Error 1/1

    `␊
    > 1 | const encoding = "utf8";JSON.parse(await fs.readFile(file, {encoding}));␊
        |                                                            ^^^^^^^^^^ Prefer reading the JSON file as a buffer.␊
    `

## Invalid #13
      1 | const CHARSET = "utF-8", readingOptions = {encoding: CHARSET}; JSON.parse(await fs.readFile(file, readingOptions));

> Output

    `␊
      1 | const CHARSET = "utF-8", readingOptions = {encoding: CHARSET}; JSON.parse(await fs.readFile(file));␊
    `

> Error 1/1

    `␊
    > 1 | const CHARSET = "utF-8", readingOptions = {encoding: CHARSET}; JSON.parse(await fs.readFile(file, readingOptions));␊
        |                                                                                                   ^^^^^^^^^^^^^^ Prefer reading the JSON file as a buffer.␊
    `

## Invalid #14
      1 | const EIGHT = 8, ENCODING = "encoding"; JSON.parse(await fs.readFile(file, {[ENCODING]: `utf${EIGHT}`}));

> Output

    `␊
      1 | const EIGHT = 8, ENCODING = "encoding"; JSON.parse(await fs.readFile(file));␊
    `

> Error 1/1

    `␊
    > 1 | const EIGHT = 8, ENCODING = "encoding"; JSON.parse(await fs.readFile(file, {[ENCODING]: \`utf${EIGHT}\`}));␊
        |                                                                            ^^^^^^^^^^^^^^^^^^^^^^^^^^^ Prefer reading the JSON file as a buffer.␊
    `

## Invalid #15
      1 | const string = await fs.readFile(file, "utf8");
      2 | JSON.parse(string);

> Output

    `␊
      1 | const string = await fs.readFile(file);␊
      2 | JSON.parse(string);␊
    `

> Error 1/1

    `␊
    > 1 | const string = await fs.readFile(file, "utf8");␊
        |                                        ^^^^^^ Prefer reading the JSON file as a buffer.␊
      2 | JSON.parse(string);␊
    `

## Invalid #16
      1 | let string = await fs.readFile(file, "utf8");
      2 | JSON.parse(string);

> Output

    `␊
      1 | let string = await fs.readFile(file);␊
      2 | JSON.parse(string);␊
    `

> Error 1/1

    `␊
    > 1 | let string = await fs.readFile(file, "utf8");␊
        |                                      ^^^^^^ Prefer reading the JSON file as a buffer.␊
      2 | JSON.parse(string);␊
    `

## Invalid #17
      1 | const foo = await await fs.readFile(file, "utf8");
      2 | const bar = await await foo;
      3 | const baz = await bar;
      4 | JSON.parse(baz);

> Output

    `␊
      1 | const foo = await await fs.readFile(file);␊
      2 | const bar = await await foo;␊
      3 | const baz = await bar;␊
      4 | JSON.parse(baz);␊
    `

> Error 1/1

    `␊
    > 1 | const foo = await await fs.readFile(file, "utf8");␊
        |                                           ^^^^^^ Prefer reading the JSON file as a buffer.␊
      2 | const bar = await await foo;␊
      3 | const baz = await bar;␊
      4 | JSON.parse(baz);␊
    `

## Invalid #18
      1 | var foo = await fs.readFile(file, "utf8");
      2 | let bar = await foo;
      3 | const baz = await bar;
      4 | JSON.parse(baz);

> Output

    `␊
      1 | var foo = await fs.readFile(file);␊
      2 | let bar = await foo;␊
      3 | const baz = await bar;␊
      4 | JSON.parse(baz);␊
    `

> Error 1/1

    `␊
    > 1 | var foo = await fs.readFile(file, "utf8");␊
        |                                   ^^^^^^ Prefer reading the JSON file as a buffer.␊
      2 | let bar = await foo;␊
      3 | const baz = await bar;␊
      4 | JSON.parse(baz);␊
    `

## Invalid #19
      1 | const foo = fs.readFile(file, "utf8");
      2 | async function fn1() {
      3 | 	const bar = await foo;
      4 |
      5 | 	function fn2() {
      6 | 		const baz = bar;
      7 | 		JSON.parse(baz);
      8 | 	}
      9 | }

> Output

    `␊
      1 | const foo = fs.readFile(file);␊
      2 | async function fn1() {␊
      3 | 	const bar = await foo;␊
      4 |␊
      5 | 	function fn2() {␊
      6 | 		const baz = bar;␊
      7 | 		JSON.parse(baz);␊
      8 | 	}␊
      9 | }␊
    `

> Error 1/1

    `␊
    > 1 | const foo = fs.readFile(file, "utf8");␊
        |                               ^^^^^^ Prefer reading the JSON file as a buffer.␊
      2 | async function fn1() {␊
      3 | 	const bar = await foo;␊
      4 |␊
      5 | 	function fn2() {␊
      6 | 		const baz = bar;␊
      7 | 		JSON.parse(baz);␊
      8 | 	}␊
      9 | }␊
    `

## Invalid #20
      1 | const buffer = fs.readFile(file, "utf8"); /* Should report */
      2 | const foo = buffer;
      3 | async function fn1() {
      4 | 	const buffer = fs.readFile(file, "utf8"); /* Should NOT report */
      5 | 	JSON.parse(await foo);
      6 | }

> Output

    `␊
      1 | const buffer = fs.readFile(file); /* Should report */␊
      2 | const foo = buffer;␊
      3 | async function fn1() {␊
      4 | 	const buffer = fs.readFile(file, "utf8"); /* Should NOT report */␊
      5 | 	JSON.parse(await foo);␊
      6 | }␊
    `

> Error 1/1

    `␊
    > 1 | const buffer = fs.readFile(file, "utf8"); /* Should report */␊
        |                                  ^^^^^^ Prefer reading the JSON file as a buffer.␊
      2 | const foo = buffer;␊
      3 | async function fn1() {␊
      4 | 	const buffer = fs.readFile(file, "utf8"); /* Should NOT report */␊
      5 | 	JSON.parse(await foo);␊
      6 | }␊
    `

## Invalid #21
       1 | const buffer = fs.readFile(file, "utf8"); /* Should report */
       2 | const foo = buffer;
       3 | async function fn1() {
       4 | 	const buffer = fs.readFile(file, "utf8"); /* Should NOT report */
       5 | 	const baz = foo;
       6 | 	for (;;) {
       7 | 		const buffer = fs.readFile(file, "utf8"); /* Should NOT report */
       8 | 		JSON.parse(await baz);
       9 | 	}
      10 | }

> Output

    `␊
       1 | const buffer = fs.readFile(file); /* Should report */␊
       2 | const foo = buffer;␊
       3 | async function fn1() {␊
       4 | 	const buffer = fs.readFile(file, "utf8"); /* Should NOT report */␊
       5 | 	const baz = foo;␊
       6 | 	for (;;) {␊
       7 | 		const buffer = fs.readFile(file, "utf8"); /* Should NOT report */␊
       8 | 		JSON.parse(await baz);␊
       9 | 	}␊
      10 | }␊
    `

> Error 1/1

    `␊
    >  1 | const buffer = fs.readFile(file, "utf8"); /* Should report */␊
         |                                  ^^^^^^ Prefer reading the JSON file as a buffer.␊
       2 | const foo = buffer;␊
       3 | async function fn1() {␊
       4 | 	const buffer = fs.readFile(file, "utf8"); /* Should NOT report */␊
       5 | 	const baz = foo;␊
       6 | 	for (;;) {␊
       7 | 		const buffer = fs.readFile(file, "utf8"); /* Should NOT report */␊
       8 | 		JSON.parse(await baz);␊
       9 | 	}␊
      10 | }␊
    `

## Invalid #22
      1 | const foo = fs.readFile(file, "utf8");
      2 | function fn1() {
      3 | 	JSON.parse(foo);
      4 |
      5 | 	function fn2() {
      6 | 		const foo = "{}";
      7 | 	}
      8 | }

> Output

    `␊
      1 | const foo = fs.readFile(file);␊
      2 | function fn1() {␊
      3 | 	JSON.parse(foo);␊
      4 |␊
      5 | 	function fn2() {␊
      6 | 		const foo = "{}";␊
      7 | 	}␊
      8 | }␊
    `

> Error 1/1

    `␊
    > 1 | const foo = fs.readFile(file, "utf8");␊
        |                               ^^^^^^ Prefer reading the JSON file as a buffer.␊
      2 | function fn1() {␊
      3 | 	JSON.parse(foo);␊
      4 |␊
      5 | 	function fn2() {␊
      6 | 		const foo = "{}";␊
      7 | 	}␊
      8 | }␊
    `

## Invalid #23
      1 | const string = await NOT_A_FS_MODULE.readFile(file, "utf8");
      2 | JSON.parse(string);

> Output

    `␊
      1 | const string = await NOT_A_FS_MODULE.readFile(file);␊
      2 | JSON.parse(string);␊
    `

> Error 1/1

    `␊
    > 1 | const string = await NOT_A_FS_MODULE.readFile(file, "utf8");␊
        |                                                     ^^^^^^ Prefer reading the JSON file as a buffer.␊
      2 | JSON.parse(string);␊
    `
