# Snapshot report for `test/prefer-string-starts-ends-with.mjs`

The actual snapshot is saved in `prefer-string-starts-ends-with.mjs.snap`.

Generated by [AVA](https://avajs.dev).

## Invalid #1
      1 | /^a/.test("string")

> Output

    `␊
      1 | "string".startsWith('a')␊
    `

> Error 1/1

    `␊
    > 1 | /^a/.test("string")␊
        | ^^^^^^^^^^^^^^^^^^^ Prefer \`String#startsWith()\` over a regex with \`^\`.␊
    `

## Invalid #2
      1 | /^a/.test((0, "string"))

> Output

    `␊
      1 | (0, "string").startsWith('a')␊
    `

> Error 1/1

    `␊
    > 1 | /^a/.test((0, "string"))␊
        | ^^^^^^^^^^^^^^^^^^^^^^^^ Prefer \`String#startsWith()\` over a regex with \`^\`.␊
    `

## Invalid #3
      1 | async function a() {return /^a/.test(await foo())}

> Output

    `␊
      1 | async function a() {return (await foo()).startsWith('a')}␊
    `

> Error 1/1

    `␊
    > 1 | async function a() {return /^a/.test(await foo())}␊
        |                            ^^^^^^^^^^^^^^^^^^^^^^ Prefer \`String#startsWith()\` over a regex with \`^\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/3: Convert to string \`String(…).startsWith()\`.␊
      1 | async function a() {return String(await foo()).startsWith('a')}␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/3: Use optional chaining \`…?.startsWith()\`.␊
      1 | async function a() {return (await foo())?.startsWith('a')}␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 3/3: Use nullish coalescing \`(… ?? '').startsWith()\`.␊
      1 | async function a() {return ((await foo()) ?? '').startsWith('a')}␊
    `

## Invalid #4
      1 | /^a/.test(foo + bar)

> Output

    `␊
      1 | (foo + bar).startsWith('a')␊
    `

> Error 1/1

    `␊
    > 1 | /^a/.test(foo + bar)␊
        | ^^^^^^^^^^^^^^^^^^^^ Prefer \`String#startsWith()\` over a regex with \`^\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/3: Convert to string \`String(…).startsWith()\`.␊
      1 | String(foo + bar).startsWith('a')␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/3: Use optional chaining \`…?.startsWith()\`.␊
      1 | (foo + bar)?.startsWith('a')␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 3/3: Use nullish coalescing \`(… ?? '').startsWith()\`.␊
      1 | ((foo + bar) ?? '').startsWith('a')␊
    `

## Invalid #5
      1 | /^a/.test(foo || bar)

> Output

    `␊
      1 | (foo || bar).startsWith('a')␊
    `

> Error 1/1

    `␊
    > 1 | /^a/.test(foo || bar)␊
        | ^^^^^^^^^^^^^^^^^^^^^ Prefer \`String#startsWith()\` over a regex with \`^\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/3: Convert to string \`String(…).startsWith()\`.␊
      1 | String(foo || bar).startsWith('a')␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/3: Use optional chaining \`…?.startsWith()\`.␊
      1 | (foo || bar)?.startsWith('a')␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 3/3: Use nullish coalescing \`(… ?? '').startsWith()\`.␊
      1 | (foo || bar ?? '').startsWith('a')␊
    `

## Invalid #6
      1 | /^a/.test(new SomeString)

> Output

    `␊
      1 | (new SomeString).startsWith('a')␊
    `

> Error 1/1

    `␊
    > 1 | /^a/.test(new SomeString)␊
        | ^^^^^^^^^^^^^^^^^^^^^^^^^ Prefer \`String#startsWith()\` over a regex with \`^\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/3: Convert to string \`String(…).startsWith()\`.␊
      1 | String(new SomeString).startsWith('a')␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/3: Use optional chaining \`…?.startsWith()\`.␊
      1 | (new SomeString)?.startsWith('a')␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 3/3: Use nullish coalescing \`(… ?? '').startsWith()\`.␊
      1 | (new SomeString ?? '').startsWith('a')␊
    `

## Invalid #7
      1 | /^a/.test(new (SomeString))

> Output

    `␊
      1 | (new (SomeString)).startsWith('a')␊
    `

> Error 1/1

    `␊
    > 1 | /^a/.test(new (SomeString))␊
        | ^^^^^^^^^^^^^^^^^^^^^^^^^^^ Prefer \`String#startsWith()\` over a regex with \`^\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/3: Convert to string \`String(…).startsWith()\`.␊
      1 | String(new (SomeString)).startsWith('a')␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/3: Use optional chaining \`…?.startsWith()\`.␊
      1 | (new (SomeString))?.startsWith('a')␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 3/3: Use nullish coalescing \`(… ?? '').startsWith()\`.␊
      1 | (new (SomeString) ?? '').startsWith('a')␊
    `

## Invalid #8
      1 | /^a/.test(new SomeString())

> Output

    `␊
      1 | new SomeString().startsWith('a')␊
    `

> Error 1/1

    `␊
    > 1 | /^a/.test(new SomeString())␊
        | ^^^^^^^^^^^^^^^^^^^^^^^^^^^ Prefer \`String#startsWith()\` over a regex with \`^\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/3: Convert to string \`String(…).startsWith()\`.␊
      1 | String(new SomeString()).startsWith('a')␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/3: Use optional chaining \`…?.startsWith()\`.␊
      1 | new SomeString()?.startsWith('a')␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 3/3: Use nullish coalescing \`(… ?? '').startsWith()\`.␊
      1 | (new SomeString() ?? '').startsWith('a')␊
    `

## Invalid #9
      1 | /^a/.test(new new SomeClassReturnsAStringSubClass())

> Output

    `␊
      1 | (new new SomeClassReturnsAStringSubClass()).startsWith('a')␊
    `

> Error 1/1

    `␊
    > 1 | /^a/.test(new new SomeClassReturnsAStringSubClass())␊
        | ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Prefer \`String#startsWith()\` over a regex with \`^\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/3: Convert to string \`String(…).startsWith()\`.␊
      1 | String(new new SomeClassReturnsAStringSubClass()).startsWith('a')␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/3: Use optional chaining \`…?.startsWith()\`.␊
      1 | (new new SomeClassReturnsAStringSubClass())?.startsWith('a')␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 3/3: Use nullish coalescing \`(… ?? '').startsWith()\`.␊
      1 | (new new SomeClassReturnsAStringSubClass() ?? '').startsWith('a')␊
    `

## Invalid #10
      1 | /^a/.test(new SomeString(/* comment */))

> Output

    `␊
      1 | new SomeString(/* comment */).startsWith('a')␊
    `

> Error 1/1

    `␊
    > 1 | /^a/.test(new SomeString(/* comment */))␊
        | ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Prefer \`String#startsWith()\` over a regex with \`^\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/3: Convert to string \`String(…).startsWith()\`.␊
      1 | String(new SomeString(/* comment */)).startsWith('a')␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/3: Use optional chaining \`…?.startsWith()\`.␊
      1 | new SomeString(/* comment */)?.startsWith('a')␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 3/3: Use nullish coalescing \`(… ?? '').startsWith()\`.␊
      1 | (new SomeString(/* comment */) ?? '').startsWith('a')␊
    `

## Invalid #11
      1 | /^a/.test(new SomeString("string"))

> Output

    `␊
      1 | new SomeString("string").startsWith('a')␊
    `

> Error 1/1

    `␊
    > 1 | /^a/.test(new SomeString("string"))␊
        | ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Prefer \`String#startsWith()\` over a regex with \`^\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/3: Convert to string \`String(…).startsWith()\`.␊
      1 | String(new SomeString("string")).startsWith('a')␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/3: Use optional chaining \`…?.startsWith()\`.␊
      1 | new SomeString("string")?.startsWith('a')␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 3/3: Use nullish coalescing \`(… ?? '').startsWith()\`.␊
      1 | (new SomeString("string") ?? '').startsWith('a')␊
    `

## Invalid #12
      1 | /^a/.test(foo.bar)

> Output

    `␊
      1 | foo.bar.startsWith('a')␊
    `

> Error 1/1

    `␊
    > 1 | /^a/.test(foo.bar)␊
        | ^^^^^^^^^^^^^^^^^^ Prefer \`String#startsWith()\` over a regex with \`^\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/3: Convert to string \`String(…).startsWith()\`.␊
      1 | String(foo.bar).startsWith('a')␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/3: Use optional chaining \`…?.startsWith()\`.␊
      1 | foo.bar?.startsWith('a')␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 3/3: Use nullish coalescing \`(… ?? '').startsWith()\`.␊
      1 | (foo.bar ?? '').startsWith('a')␊
    `

## Invalid #13
      1 | /^a/.test(foo.bar())

> Output

    `␊
      1 | foo.bar().startsWith('a')␊
    `

> Error 1/1

    `␊
    > 1 | /^a/.test(foo.bar())␊
        | ^^^^^^^^^^^^^^^^^^^^ Prefer \`String#startsWith()\` over a regex with \`^\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/3: Convert to string \`String(…).startsWith()\`.␊
      1 | String(foo.bar()).startsWith('a')␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/3: Use optional chaining \`…?.startsWith()\`.␊
      1 | foo.bar()?.startsWith('a')␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 3/3: Use nullish coalescing \`(… ?? '').startsWith()\`.␊
      1 | (foo.bar() ?? '').startsWith('a')␊
    `

## Invalid #14
      1 | /^a/.test(foo?.bar)

> Output

    `␊
      1 | foo?.bar.startsWith('a')␊
    `

> Error 1/1

    `␊
    > 1 | /^a/.test(foo?.bar)␊
        | ^^^^^^^^^^^^^^^^^^^ Prefer \`String#startsWith()\` over a regex with \`^\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/3: Convert to string \`String(…).startsWith()\`.␊
      1 | String(foo?.bar).startsWith('a')␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/3: Use optional chaining \`…?.startsWith()\`.␊
      1 | foo?.bar?.startsWith('a')␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 3/3: Use nullish coalescing \`(… ?? '').startsWith()\`.␊
      1 | (foo?.bar ?? '').startsWith('a')␊
    `

## Invalid #15
      1 | /^a/.test(foo?.bar())

> Output

    `␊
      1 | foo?.bar().startsWith('a')␊
    `

> Error 1/1

    `␊
    > 1 | /^a/.test(foo?.bar())␊
        | ^^^^^^^^^^^^^^^^^^^^^ Prefer \`String#startsWith()\` over a regex with \`^\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/3: Convert to string \`String(…).startsWith()\`.␊
      1 | String(foo?.bar()).startsWith('a')␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/3: Use optional chaining \`…?.startsWith()\`.␊
      1 | foo?.bar()?.startsWith('a')␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 3/3: Use nullish coalescing \`(… ?? '').startsWith()\`.␊
      1 | (foo?.bar() ?? '').startsWith('a')␊
    `

## Invalid #16
      1 | /^a/.test(`string`)

> Output

    `␊
      1 | \`string\`.startsWith('a')␊
    `

> Error 1/1

    `␊
    > 1 | /^a/.test(\`string\`)␊
        | ^^^^^^^^^^^^^^^^^^^ Prefer \`String#startsWith()\` over a regex with \`^\`.␊
    `

## Invalid #17
      1 | /^a/.test(tagged`string`)

> Output

    `␊
      1 | (tagged\`string\`).startsWith('a')␊
    `

> Error 1/1

    `␊
    > 1 | /^a/.test(tagged\`string\`)␊
        | ^^^^^^^^^^^^^^^^^^^^^^^^^ Prefer \`String#startsWith()\` over a regex with \`^\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/3: Convert to string \`String(…).startsWith()\`.␊
      1 | String(tagged\`string\`).startsWith('a')␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/3: Use optional chaining \`…?.startsWith()\`.␊
      1 | (tagged\`string\`)?.startsWith('a')␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 3/3: Use nullish coalescing \`(… ?? '').startsWith()\`.␊
      1 | (tagged\`string\` ?? '').startsWith('a')␊
    `

## Invalid #18
      1 | (/^a/).test((0, "string"))

> Output

    `␊
      1 | ((0, "string")).startsWith('a')␊
    `

> Error 1/1

    `␊
    > 1 | (/^a/).test((0, "string"))␊
        | ^^^^^^^^^^^^^^^^^^^^^^^^^^ Prefer \`String#startsWith()\` over a regex with \`^\`.␊
    `

## Invalid #19
      1 | /^a/.test(true ? a : b)

> Output

    `␊
      1 | (true ? a : b).startsWith('a')␊
    `

> Error 1/1

    `␊
    > 1 | /^a/.test(true ? a : b)␊
        | ^^^^^^^^^^^^^^^^^^^^^^^ Prefer \`String#startsWith()\` over a regex with \`^\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/3: Convert to string \`String(…).startsWith()\`.␊
      1 | String(true ? a : b).startsWith('a')␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/3: Use optional chaining \`…?.startsWith()\`.␊
      1 | (true ? a : b)?.startsWith('a')␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 3/3: Use nullish coalescing \`(… ?? '').startsWith()\`.␊
      1 | ((true ? a : b) ?? '').startsWith('a')␊
    `

## Invalid #20
      1 | /a$/.test(a ??= b)

> Output

    `␊
      1 | (a ??= b).endsWith('a')␊
    `

> Error 1/1

    `␊
    > 1 | /a$/.test(a ??= b)␊
        | ^^^^^^^^^^^^^^^^^^ Prefer \`String#endsWith()\` over a regex with \`$\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/3: Convert to string \`String(…).endsWith()\`.␊
      1 | String(a ??= b).endsWith('a')␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/3: Use optional chaining \`…?.endsWith()\`.␊
      1 | (a ??= b)?.endsWith('a')␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 3/3: Use nullish coalescing \`(… ?? '').endsWith()\`.␊
      1 | ((a ??= b) ?? '').endsWith('a')␊
    `

## Invalid #21
      1 | /^a/.test(a || b)

> Output

    `␊
      1 | (a || b).startsWith('a')␊
    `

> Error 1/1

    `␊
    > 1 | /^a/.test(a || b)␊
        | ^^^^^^^^^^^^^^^^^ Prefer \`String#startsWith()\` over a regex with \`^\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/3: Convert to string \`String(…).startsWith()\`.␊
      1 | String(a || b).startsWith('a')␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/3: Use optional chaining \`…?.startsWith()\`.␊
      1 | (a || b)?.startsWith('a')␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 3/3: Use nullish coalescing \`(… ?? '').startsWith()\`.␊
      1 | (a || b ?? '').startsWith('a')␊
    `

## Invalid #22
      1 | /^a/.test(a && b)

> Output

    `␊
      1 | (a && b).startsWith('a')␊
    `

> Error 1/1

    `␊
    > 1 | /^a/.test(a && b)␊
        | ^^^^^^^^^^^^^^^^^ Prefer \`String#startsWith()\` over a regex with \`^\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/3: Convert to string \`String(…).startsWith()\`.␊
      1 | String(a && b).startsWith('a')␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/3: Use optional chaining \`…?.startsWith()\`.␊
      1 | (a && b)?.startsWith('a')␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 3/3: Use nullish coalescing \`(… ?? '').startsWith()\`.␊
      1 | (a && b ?? '').startsWith('a')␊
    `

## Invalid #23
      1 | /a$/.test(`${unknown}`)

> Output

    `␊
      1 | \`${unknown}\`.endsWith('a')␊
    `

> Error 1/1

    `␊
    > 1 | /a$/.test(\`${unknown}\`)␊
        | ^^^^^^^^^^^^^^^^^^^^^^^ Prefer \`String#endsWith()\` over a regex with \`$\`.␊
    `

## Invalid #24
      1 | /a$/.test(String(unknown))

> Output

    `␊
      1 | String(unknown).endsWith('a')␊
    `

> Error 1/1

    `␊
    > 1 | /a$/.test(String(unknown))␊
        | ^^^^^^^^^^^^^^^^^^^^^^^^^^ Prefer \`String#endsWith()\` over a regex with \`$\`.␊
    `

## Invalid #25
       1 | /* 1 */
       2 | (
       3 | 	/* 2 */
       4 | 	(
       5 | 		/* 3 */
       6 | 		/^a/
       7 | 		/* 4 */
       8 | 	)
       9 | 	/* 5 */
      10 | )
      11 | /* 6 */
      12 | . /* 7 */ test /* 8 */ (
      13 | 	/* 9 */
      14 | 	(
      15 | 		/* 10 */
      16 | 		(
      17 | 			/* 11 */
      18 | 			a
      19 | 			/* 12 */
      20 | 		)
      21 | 		/* 13 */
      22 | 	)
      23 | 	/* 14 */
      24 | ) /* 15 */

> Output

    `␊
       1 | /* 1 */␊
       2 | (␊
       3 | 	/* 2 */␊
       4 | 	(␊
       5 | 		/* 3 */␊
       6 | 		(␊
       7 | 		/* 10 */␊
       8 | 		(␊
       9 | 			/* 11 */␊
      10 | 			a␊
      11 | 			/* 12 */␊
      12 | 		)␊
      13 | 		/* 13 */␊
      14 | 	)␊
      15 | 		/* 4 */␊
      16 | 	)␊
      17 | 	/* 5 */␊
      18 | )␊
      19 | /* 6 */␊
      20 | . /* 7 */ startsWith /* 8 */ (␊
      21 | 	/* 9 */␊
      22 | 	'a'␊
      23 | 	/* 14 */␊
      24 | ) /* 15 */␊
    `

> Error 1/1

    `␊
       1 | /* 1 */␊
    >  2 | (␊
         | ^␊
    >  3 | 	/* 2 */␊
         | ^^^^^^^^␊
    >  4 | 	(␊
         | ^^^^^^^^␊
    >  5 | 		/* 3 */␊
         | ^^^^^^^^␊
    >  6 | 		/^a/␊
         | ^^^^^^^^␊
    >  7 | 		/* 4 */␊
         | ^^^^^^^^␊
    >  8 | 	)␊
         | ^^^^^^^^␊
    >  9 | 	/* 5 */␊
         | ^^^^^^^^␊
    > 10 | )␊
         | ^^^^^^^^␊
    > 11 | /* 6 */␊
         | ^^^^^^^^␊
    > 12 | . /* 7 */ test /* 8 */ (␊
         | ^^^^^^^^␊
    > 13 | 	/* 9 */␊
         | ^^^^^^^^␊
    > 14 | 	(␊
         | ^^^^^^^^␊
    > 15 | 		/* 10 */␊
         | ^^^^^^^^␊
    > 16 | 		(␊
         | ^^^^^^^^␊
    > 17 | 			/* 11 */␊
         | ^^^^^^^^␊
    > 18 | 			a␊
         | ^^^^^^^^␊
    > 19 | 			/* 12 */␊
         | ^^^^^^^^␊
    > 20 | 		)␊
         | ^^^^^^^^␊
    > 21 | 		/* 13 */␊
         | ^^^^^^^^␊
    > 22 | 	)␊
         | ^^^^^^^^␊
    > 23 | 	/* 14 */␊
         | ^^^^^^^^␊
    > 24 | ) /* 15 */␊
         | ^^ Prefer \`String#startsWith()\` over a regex with \`^\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/3: Convert to string \`String(…).startsWith()\`.␊
       1 | /* 1 */␊
       2 | (␊
       3 | 	/* 2 */␊
       4 | 	(␊
       5 | 		/* 3 */␊
       6 | 		String((␊
       7 | 		/* 10 */␊
       8 | 		(␊
       9 | 			/* 11 */␊
      10 | 			a␊
      11 | 			/* 12 */␊
      12 | 		)␊
      13 | 		/* 13 */␊
      14 | 	))␊
      15 | 		/* 4 */␊
      16 | 	)␊
      17 | 	/* 5 */␊
      18 | )␊
      19 | /* 6 */␊
      20 | . /* 7 */ startsWith /* 8 */ (␊
      21 | 	/* 9 */␊
      22 | 	'a'␊
      23 | 	/* 14 */␊
      24 | ) /* 15 */␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/3: Use optional chaining \`…?.startsWith()\`.␊
       1 | /* 1 */␊
       2 | (␊
       3 | 	/* 2 */␊
       4 | 	(␊
       5 | 		/* 3 */␊
       6 | 		(␊
       7 | 		/* 10 */␊
       8 | 		(␊
       9 | 			/* 11 */␊
      10 | 			a␊
      11 | 			/* 12 */␊
      12 | 		)␊
      13 | 		/* 13 */␊
      14 | 	)␊
      15 | 		/* 4 */␊
      16 | 	)␊
      17 | 	/* 5 */␊
      18 | )␊
      19 | /* 6 */␊
      20 | ?. /* 7 */ startsWith /* 8 */ (␊
      21 | 	/* 9 */␊
      22 | 	'a'␊
      23 | 	/* 14 */␊
      24 | ) /* 15 */␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 3/3: Use nullish coalescing \`(… ?? '').startsWith()\`.␊
       1 | /* 1 */␊
       2 | (␊
       3 | 	/* 2 */␊
       4 | 	(␊
       5 | 		/* 3 */␊
       6 | 		(␊
       7 | 		/* 10 */␊
       8 | 		(␊
       9 | 			/* 11 */␊
      10 | 			a␊
      11 | 			/* 12 */␊
      12 | 		)␊
      13 | 		/* 13 */␊
      14 | 	) ?? ''␊
      15 | 		/* 4 */␊
      16 | 	)␊
      17 | 	/* 5 */␊
      18 | )␊
      19 | /* 6 */␊
      20 | . /* 7 */ startsWith /* 8 */ (␊
      21 | 	/* 9 */␊
      22 | 	'a'␊
      23 | 	/* 14 */␊
      24 | ) /* 15 */␊
    `
